// =====================================================================================================================
//  fennec-test, a program to execute unit tests for fennec
//  Copyright © 2025  Medusa Slockbower
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <https://www.gnu.org/licenses/>.
// =====================================================================================================================

#include <iostream>

#include "tests/test_lang.h"
#include "tests/test_math.h"
#include "tests/test_memory.h"

#include "test.h"
#include "tests/test_fproc.h"


int main(int, char **)
{
	fennec_test_header("fennec-test, a program to execute unit tests for fennec");

	fennec_test_spacer(2);

	fennec_test_header("c++ language library");
	fennec_test_spacer(2);
	fennec::test::fennec_test_lang();
	fennec_test_spacer(3);

	fennec_test_header("math library");
	fennec_test_spacer(2);
	fennec::test::fennec_test_math();
	fennec_test_spacer(3);

	fennec_test_header("format processing library");
	fennec_test_spacer(2);
	fennec::test::fennec_test_fproc();
	fennec_test_spacer(3);

	return 0;
}
